Release 5.3.3 (1038)
Closed, ResolvedPublic

Description

Release version: 5.3.3 (1038)
Release tag: releases/5.3.3
Release SHA1: 6e2795ade5c88fe29461fa9113899455750a7057
App Store Submission Date: 12/20
App Store Approval Date: 12/21
App Store Release Date: 12/21
Regression Testing URL: https://docs.google.com/spreadsheets/d/1hczd9lNFt9gts9ukQf2JouWY3FjVO510WrdI4_Rndvs/edit#gid=1753520370


  • Update "Licenses" section (e.g. new libraries, fonts, images, etc.)
  • Verify Tweaks are disabled in build submitted to iTunesConnect via internal testing
  • Submit Beta on iTunes Connect for external testing review
  • Submit RC on iTunes Connect for App Store review with automatic release disabled.
  • Distribute RC to External testers
  • Distribute RC to TSG
  • Post to mobile-l when Beta is approved for external testing
  • Update "What’s New" on iTunes Connect
  • Perform upgrade smoke tests from current App Store version to new "Wikipedia Mobile" release candidate
  • Review Regression testing report, triage bugs, and identify any blockers
  • Verify Crash report received in HockeyApp
  • Release to App Store (NOT on a Friday!)
  • Update central mobile release history once released
  • Point current status at this card
  • Update version number in feedback email link
  • Update HockeyApp console to mark build as released once released
  • Post on mobile-l
JMinor created this task.Dec 19 2016, 11:58 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 19 2016, 11:58 PM
JMinor triaged this task as High priority.Dec 19 2016, 11:58 PM
JMinor updated the task description. (Show Details)Dec 21 2016, 12:21 AM
JMinor renamed this task from Release 5.3.3 (1035) to Release 5.3.3 (1038).
JMinor updated the task description. (Show Details)
JMinor updated the task description. (Show Details)Dec 22 2016, 6:44 PM
JMinor moved this task from Doing to Ready for PM Signoff on the iOS-app-v5.3.2-Lighthouse board.
JMinor updated the task description. (Show Details)Dec 22 2016, 7:33 PM
JMinor closed this task as Resolved.